be.fgov.ehealth.insurability.core.v2

## Class InsurabilityForPharmacistRequestType

- java.lang.Object
- - be.fgov.ehealth.insurability.core.v2.InsurabilityForPharmacistRequestType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    InsurabilityForPharmacistRequest

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:30:30+02:00",
                 comments="JAXB RI v2.3.7")
      public class InsurabilityForPharmacistRequestType
      extends Object
      implements Serializable

  The "root"-type of the commonoutput element.

  Java class for InsurabilityForPharmacistRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="InsurabilityForPharmacistRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Date" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="RequestType" type="{urn:be:fgov:ehealth:insurability:core:v2}RequestTypeType"/>
               <element name="CareReceiver" type="{urn:be:fgov:ehealth:insurability:core:v2}CareReceiverIdType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsurabilityForPharmacistRequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareReceiverIdType` | `getCareReceiver()` Gets the value of the careReceiver property.
    `org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
    `String` | `getRequestType()` Gets the value of the requestType property.
    `void` | `setCareReceiver(CareReceiverIdType value)` Sets the value of the careReceiver property.
    `void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
    `void` | `setRequestType(String value)` Sets the value of the requestType property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsurabilityForPharmacistRequestType

          public InsurabilityForPharmacistRequestType()

  - ### Method Detail

    - #### getDate

          public org.joda.time.DateTime getDate()

      Gets the value of the date property.
      Returns:
        possible object is `String`

    - #### setDate

          public void setDate(org.joda.time.DateTime value)

      Sets the value of the date property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRequestType

          public String getRequestType()

      Gets the value of the requestType property.
      Returns:
        possible object is `String`

    - #### setRequestType

          public void setRequestType(String value)

      Sets the value of the requestType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCareReceiver

          public CareReceiverIdType getCareReceiver()

      Gets the value of the careReceiver property.
      Returns:
        possible object is `CareReceiverIdType`

    - #### setCareReceiver

          public void setCareReceiver(CareReceiverIdType value)

      Sets the value of the careReceiver property.
      Parameters:
        `value` - allowed object is `CareReceiverIdType`

Connector Packaging generic 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.